.flotTip {
	background-color: rgb(64, 64, 66);
    color: rgb(255, 255, 255);
    padding: 5px;
    border-radius: 10px;
}

.select2-container--default .select2-selection--single {
	outline:none;
}

	.LoginBox .Message {
	display:none;
}

.LoginBox .Message.Waiting p {
	background-image: url('../images/image-loader.gif');
	background-repeat: no-repeat;
	padding-left:25px;
}

.LoginBox .Message.Error p {
	background-image: url('../images/image-error.png');
	background-repeat: no-repeat;
	padding-left:25px;
	padding-top:1px;
}

img.lazy {
    width: 198px;
    height:auto;
    display: block;
}

img.lazy.loading {
    background: transparent url(../images/loader.gif) no-repeat 50% 50%;
}

#messages_return, #messages_return2 {
	display:none;
}

#permissoesList, #permissoesList ul {
	list-style-type: none;
}

.no-sort::after { display: none!important; }

.no-sort { pointer-events: none!important; cursor: default!important; }

.tabela-drop tr {
	cursor:pointer;
}

#repos { width:350px; list-style-type:none; margin:0px; }

#repos li { float:left; padding:5px; width:50%; height:50%; }

#repos li.disp_item { width:100%; height:100%; }
#repos li div { height:60px; border:solid 1px black; background-color:#E0E0E0; text-align:center; padding-top:20px; }

#repos li.disp_item div { height:40px; padding-top:10px; }
.placeHolder div { background-color:white !important; border:dashed 1px gray !important; }
#repos li div.selected { background-color:#000; color:#fff; }


#repos2.layouts-vinculados{
	width:100%;
	list-style-type:none;
	margin:0px;
}
#repos2.layouts-vinculados li {
	float:left;
	padding:5px;
	width:auto;
	height:auto;
}
#repos2.layouts-vinculados li div { height:auto; border:solid 1px black; background-color:#E0E0E0; text-align:center; padding-top:0; border:0; background:none; }
#repos2 li div.selected { background-color:#000; color:#fff; }

#restam {
	display:none;
}

.loader {
	z-index: 9996;
	display: none;
	position: absolute;
	width:100%;
	height: 100%;
	top: 0;
	left: 0;
	right: 0;
	background: rgba(255, 255, 255, 0.9);
}

.loader img {
	display:block;
	margin: 15% auto;
}

.device-preview {
    background-color: #fdfdfd;
    margin: auto;
    display:table;
	width:500px;
	height:500px;
	margin-bottom:40px;
	position:relative;
	top:0;
}

.device-content {
    background-color: transparent;
    bottom: 0;
    display: block;
    height: 500px;
    left: 0;
    margin: 0 auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 252px
}

.device-content .device {
    border: 0 none;
    bottom: 0;
    display: block;
    height: 500px;
    position: absolute;
    pointer-events: none;
    left: 0;
    margin: auto;
    right: 0;
    top: 0;
    width: 252px;
    z-index: 10
}

.device-content .overlay {
    border: 0 none;
    bottom: 0;
    display: block;
    height: 500px;
    position: absolute;
    pointer-events: none;
    left: 0;
    margin: auto;
    right: 0;
    top: 0;
    width: 252px;
    z-index: 25
}

.device-content .logo_device  {
	z-index:9999;
    z-index: 50;
    opacity: 1;
    position: absolute;
    width: 80px;
	height:17px;
}

.logo_device#sup_esq {
    top: 35px;
    left: 30px;
}

.logo_device#sup_dir {
    top: 35px;
    left: 145px;
}

.logo_device#sup_cen {
    top: 35px;
    left: 90px;
}

.logo_device#inf_cen {
    top: 450px;
    left: 90px;
}

.logo_device#inf_esq {
    top: 450px;
    left: 30px;
}

.logo_device#inf_dir {
    top: 450px;
    left: 145px;
}

.logo_device#no_logo {
	display:none;
}

.device-content .logo_usua_device img  {
	z-index:9999;
    z-index: 50;
    opacity: 1;
    position: absolute;
}

.logo_usua_device img#sup_esq {
    top: 35px;
    left: 30px;
}

.logo_usua_device img#sup_dir {
    top: 35px;
    left: 145px;
}

.logo_usua_device img#sup_cen {
    top: 35px;
    left: 90px;
}

.logo_usua_device img#inf_cen {
    top: 450px;
    left: 90px;
}

.logo_usua_device img#inf_esq {
    top: 450px;
    left: 30px;
}

.logo_usua_device img#inf_dir {
    top: 450px;
    left: 145px;
}

.logo_usua_device img#no_logo {
	display:none;
}

.device-content .sd-mask {
    -webkit-transition: background-color ease-in-out .3s;
    -moz-transition: background-color ease-in-out .3s;
    transition: background-color ease-in-out .3s;

    background-color: transparent;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    bottom: 0;
    display: block;
    height: 500px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 10
}

.device-content .sd-mask-rectangle {
    background-color: transparent;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    display: block;
    outline: 0 none;
    overflow: hidden;
    position: absolute;
    z-index: 20
}

.device-content .sd-design-template {
    background-color: transparent;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    display: block;
    height: 100%;
    left: 0;
    margin: auto;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 50
}

.device-content .sd-design-template .sd-placeholder {
    -webkit-transition: ease .4s;
    -moz-transition: ease .4s;
    transition: ease .4s;

    background-color: rgba(255, 255, 255, 0.001);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    /*box-shadow: inset 0 0 0 1px rgba(130, 130, 130, 0.15);*/
    display: block;
    outline: 0 none;
    overflow: hidden;
    position: absolute;
    z-index: 20
}

.device-content .sd-design-template .sd-placeholder::after {
    -webkit-transition: ease-in-out .3s;
    -moz-transition: ease-in-out .3s;
    transition: ease-in-out .3s;

    background-color: transparent;
    bottom: 0;
    content: '';
    left: 0;
    position: absolute;
    pointer-events: none;
    right: 0;
    top: 0;
    z-index: 20
}

.device-content .image-design {
    background-color: transparent;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    display: block;
    height: 100%;
    opacity: 0.5;
    width: 100%;
    z-index: 1000
}

.device-content .sd-design-template .sd-placeholder .image-design {
    background-color: transparent;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    cursor: pointer;
    display: block;
    height: 100%;
    opacity: 0;
    width: 100%
}

/* --- Transform Tool --- */

.device-content .sd-transform-tool {
    display: none;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
}

.device-content .sd-transform-tool .sd-transform-overlay {
    background-color: rgba(255,255,255,.9);
    height: 100%;
    left: 0;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 200
}

.device-content .sd-transform-tool .sd-transform-container {
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;

    background-color: transparent;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
    border: 1px dotted #000;
    cursor: move;
    position: absolute;
    left: 0;
	margin: auto;
    top: 0;
    height: 558px;
    width: 280px;
    z-index: 201
}

.device-content .sd-transform-tool .sd-transform-container .ui-resizable-handle {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;

    background-color: rgba(0, 0, 0, 0.2);
    border: 1px solid rgba(0, 0, 0, 0.7);
    height: 14px;
    position: absolute;
    width: 14px;
}

.device-content .sd-transform-tool .sd-transform-container .ui-resizable-handle:hover { background-color: #5fc3c4 }

.device-content .sd-transform-tool .sd-transform-container .ui-resizable-nw { cursor: nw-resize; left: -7px; top: -7px }
.device-content .sd-transform-tool .sd-transform-container .ui-resizable-ne { cursor: ne-resize; right: -7px; top: -7px }
.device-content .sd-transform-tool .sd-transform-container .ui-resizable-sw { cursor: sw-resize; left: -7px; bottom: -7px }
.device-content .sd-transform-tool .sd-transform-container .ui-resizable-se { cursor: se-resize; right: -7px; bottom: -7px }

.device-content .sd-transform-tool .sd-transform-holder {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;

    background-color: transparent;
    border: 1px solid rgb(130,130,130);
    position: absolute;
    pointer-events: none;
    height : 500px;
    width: 252px;
    left: 0;
    top: 0;
    z-index: 205
}

.device-content .sd-transform-tool .sd-transform-actions {
    bottom: 4px;
    left: 0;
    position: absolute;
    pointer-events: none;
    width: 100%;
    z-index: 206
}

.device-content .sd-transform-tool .sd-transform-actions ul {
    background-color: rgba(255,255,255,.85);
    border-radius: 5px;
    display: table;
    list-style: none;
    margin: 0 auto !important;
    padding: 6px;
    pointer-events: all;
}

.device-content .sd-transform-tool .sd-transform-actions ul li {
    display: inline-block;
    margin-right: 10px;
}

.device-content .sd-transform-tool .sd-transform-actions ul li:last-child { margin-right: 0 }

.device-content .sd-transform-tool .sd-transform-actions ul li .btn-actions {
    -webkit-transition: ease-in-out .2s;
    -moz-transition: ease-in-out .2s;
    transition: ease-in-out .2s;

    background-color: transparent;
    border: 1px solid transparent;
    border-radius: 2px;
    color: #000;
    display: block;
    font-size: 12px;
    height: 29px;
    line-height: 28px;
    outline: 0 none;
    padding: 0 10px;
    pointer-events: all
}

.device-content .sd-transform-tool .sd-transform-actions ul li .btn-bordered { border-color: #666; color: #555 }
.device-content .sd-transform-tool .sd-transform-actions ul li .btn-bordered:hover { background-color: rgba(0,0,0,.08) }
.device-content .sd-transform-tool .sd-transform-actions ul li .btn-main { background-color: #333; border-color: #333; color: #fff }
.device-content .sd-transform-tool .sd-transform-actions ul li .btn-main:hover { background-color: #000; border-color: #000 }

.datepicker{
	z-index:50 !important;
}
